%define		kdeframever	5.89
%define		qtver		5.15.2
%define		kfname		kconfig

Summary:	Backend for storing application configuration
Name:		kf5-%{kfname}
Version:	5.89.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	57111fa47703d8f9db485fb8bdf5fd49
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf5-extra-cmake-modules >= %{kdeframever}
BuildRequires:	ninja
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt5DBus >= %{qtver}
Requires:	Qt5Gui >= %{qtver}
Requires:	Qt5Xml >= %{qtver}
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KConfig provides an advanced configuration system. It is made of two
parts: KConfigCore and KConfigGui.

KConfigCore provides access to the configuration files themselves. It
features:

- Code generation: describe your configuration in an XML file, and use
  `kconfig_compiler to generate classes that read and write
  configuration entries.
- Cascading configuration files (global settings overridden by local
  settings).
- Optional shell expansion support (see [docs/options.md](@ref
  options)).
- The ability to lock down configuration options (see
  [docs/options.md](@ref options)).

KConfigGui provides a way to hook widgets to the configuration so that
they are automatically initialized from the configuration and
automatically propagate their changes to their respective
configuration files.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5DBus-devel >= %{qtver}
Requires:	Qt5Xml-devel >= %{qtver}
Requires:	cmake >= 3.16

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/kconf_update
%ninja_install -C build

%find_lang %{kfname}5_qt --with-qm --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5_qt.lang
%defattr(644,root,root,755)
%doc DESIGN README.md TODO
%ghost %{_libdir}/libKF5ConfigCore.so.5
%attr(755,root,root) %{_libdir}/libKF5ConfigCore.so.*.*
%ghost %{_libdir}/libKF5ConfigGui.so.5
%ghost %{_libdir}/libKF5ConfigQml.so.5
%attr(755,root,root) %{_libdir}/libKF5ConfigQml.so.*.*
%attr(755,root,root) %{_libdir}/libKF5ConfigGui.so.*.*
%attr(755,root,root) %{_bindir}/kreadconfig5
%attr(755,root,root) %{_bindir}/kwriteconfig5
%attr(755,root,root) %{_libexecdir}/kf5/kconf_update
%attr(755,root,root) %{_libexecdir}/kf5/kconfig_compiler_kf5
%dir %{_datadir}/kconf_update
%{_datadir}/qlogging-categories5/kconfig.categories
%{_datadir}/qlogging-categories5/kconfig.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF5ConfigCore.so
%{_libdir}/libKF5ConfigGui.so
%{_libdir}/libKF5ConfigQml.so
%{_includedir}/KF5/KConfigCore
%{_includedir}/KF5/KConfigGui
%{_includedir}/KF5/KConfigQml
%{_includedir}/KF5/kconfig_version.h
%{_libdir}/cmake/KF5Config
%{qt5dir}/mkspecs/modules/qt_KConfigCore.pri
%{qt5dir}/mkspecs/modules/qt_KConfigGui.pri
%changelog
* Wed Dec 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kconfig.git;a=log;h=master

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 68b4c66
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> feab6da
- updated to 5.88.0

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1962f41
- updated to 5.87.0

* Wed Sep 22 2021 Jan Palus <atler@pld-linux.org> 648137c
- updated deps

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f8ba42a
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1364b8b
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ba34e5d
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 79c0953
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 385052c
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9368b66
- updated to 5.81.0

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> 2bf3120
- macros for %ninja*

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> 536ef47
- updated build and runtime deps

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2be8ab6
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6b0d642
- update to 5.79.0

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 7c61e28
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> 01f6eba
- Up to 5.65.0.

* Mon Nov 25 2019 Łukasz Maśko <lmasko@pld-linux.org> 64a536f
- Added missing (?) /usr/share/qlogging-categories5/kconfig.categories

* Mon Nov 25 2019 Łukasz Maśko <lmasko@pld-linux.org> 826f090
- Up to 5.62.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 136e23b
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 26d4cd0
- updated to 5.56

